# coding: utf-8

"""
    PeerTube

    # Introduction  The PeerTube API is built on HTTP(S) and is RESTful. You can use your favorite HTTP/REST library for your programming language to use PeerTube. No official SDK is currently provided, but the spec API is fully compatible with [openapi-generator](https://github.com/OpenAPITools/openapi-generator/wiki/API-client-generator-HOWTO) which generates a client SDK in the language of your choice.  See the [Quick Start guide](https://docs.joinpeertube.org/#/api-rest-getting-started) so you can play with the PeerTube API.  # Authentication  When you sign up for an account, you are given the possibility to generate sessions, and authenticate using this session token. One session token can currently be used at a time.  # Errors  The API uses standard HTTP status codes to indicate the success or failure of the API call. The body of the response will be JSON in the following format.  ``` {   \"code\": \"unauthorized_request\", // example inner error code   \"error\": \"Token is invalid.\" // example exposed error message } ```   # noqa: E501

    The version of the OpenAPI document: 2.1.1
    Generated by: https://openapi-generator.tech
"""


from __future__ import absolute_import

import unittest

import peertube
from peertube.api.users_api import UsersApi  # noqa: E501
from peertube.rest import ApiException


class TestUsersApi(unittest.TestCase):
    """UsersApi unit test stubs"""

    def setUp(self):
        self.api = peertube.api.users_api.UsersApi()  # noqa: E501

    def tearDown(self):
        pass

    def test_users_get(self):
        """Test case for users_get

        List users  # noqa: E501
        """
        pass

    def test_users_id_delete(self):
        """Test case for users_id_delete

        Delete a user  # noqa: E501
        """
        pass

    def test_users_id_get(self):
        """Test case for users_id_get

        Get a user  # noqa: E501
        """
        pass

    def test_users_id_put(self):
        """Test case for users_id_put

        Update a user  # noqa: E501
        """
        pass

    def test_users_post(self):
        """Test case for users_post

        Create a user  # noqa: E501
        """
        pass

    def test_users_register_post(self):
        """Test case for users_register_post

        Register a user  # noqa: E501
        """
        pass


if __name__ == '__main__':
    unittest.main()
